#include "Safe.h"

CGUE17_SneakySteve::scene::Safe::Safe(std::string path, sneakystv::Shader * _shader, glm::vec3 physicsCorr, float xRot, float yRot, float zRot, btRigidBody * rigidBody)
	:GameObj(path, _shader, physicsCorr, xRot, yRot, zRot, rigidBody)
{
}

CGUE17_SneakySteve::scene::Safe::~Safe()
{
}

void CGUE17_SneakySteve::scene::Safe::update(float time_delta)
{
}

int CGUE17_SneakySteve::scene::Safe::draw(Shader * shader, glm::mat4 projview)
{
	glm::mat4 modelMat;
	rigidBody->getWorldTransform().getOpenGLMatrix(glm::value_ptr(modelMat));
	modelMat = glm::translate(modelMat, physicsCorr);
	return sceneObj->draw(shader, modelMat, glm::vec3(1, 1, 0), projview);
}
