#include "KeyMapping.hpp"


static bool help;
static bool frameTime;
static bool wireFrame;
static bool texturSampling;
static bool mipMapping;
static bool particle;
static bool frCulling;
static bool blending;
static bool bloom;

void KeyMapping::init()
{
	help = false;
	frameTime = false;
	wireFrame = false;
	texturSampling = false;
	mipMapping = false;
	particle = true;
	frCulling = false;
	blending = true;
	bloom = true;
}

std::string KeyMapping::setHelp()
{
	help = !help;
	return "Your goal is to find the vault! Beware of the wardens and other obstacles! Controlling: W,A,S,D: move player, space: jump, mouse and arrow keys: move camera || F1 Help | F2 Frame Time ON/OFF | F3 Wire Frame ON/OFF | F6 Particle System ON/OFF | F8 Frustum Culling ON/OFF | F9 Blending ON/OFF ||";
}

std::string KeyMapping::setFrameTime()
{
	frameTime = !frameTime;
	return frameTime ? "Frame Time on." : "Frame Time off";
}

std::string KeyMapping::setWireFrame()
{
	wireFrame = !wireFrame;
	return wireFrame ? "Wire Frame on." : "Wire Frame off.";
}

std::string KeyMapping::setTexturSampling()
{
	texturSampling = !texturSampling;
	return texturSampling ? "Textur Sampling on." : "Textur Sampling off.";
}

std::string KeyMapping::setMipMapping()
{
	mipMapping = !mipMapping;
	return mipMapping ? "Mip Mapping on." : "Mip Mapping off.";
}

std::string KeyMapping::setParticle()
{
	particle = !particle;
	return particle ? "Particle System on." : "Particle System off.";
}

std::string KeyMapping::setFrCulling()
{
	frCulling = !frCulling;
	return frCulling ? "Frustum Culling on." : "Frustum Culling off.";
}

std::string KeyMapping::setBlending()
{
	blending = !blending;
	return blending ? "Blending on." : "Blending off.";
}

std::string KeyMapping::setBloom()
{
	bloom = !bloom;
	return bloom ? "Bloom on." : "Bloom off.";
}

bool KeyMapping::getHelp()
{
	return help;
}

bool KeyMapping::getFrameTime()
{
	return frameTime;
}

bool KeyMapping::getWireFrame()
{
	return wireFrame;
}

bool KeyMapping::getParticle()
{
	return particle;
}

bool KeyMapping::getBlending()
{
	return blending;
}

bool KeyMapping::getFrCulling()
{
	return frCulling;
}

bool KeyMapping::getBloom()
{
	return bloom;
}

KeyMapping::KeyMapping()
{
}

KeyMapping::~KeyMapping()
{
}
