#pragma once

#include "GameObj.hpp"
#include "../Scene/ParticleSpawner.h"
#include "../Util/Shaderholder.h"

#include <btBulletDynamicsCommon.h>

namespace CGUE17_SneakySteve {
	namespace scene {
		class Safe :public GameObj
		{
		public:
			Safe() {};
			Safe(std::string path, sneakystv::Shader* _shader, glm::vec3 physicsCorr, float xRot, float yRot, float zRot, btRigidBody* rigidBody);
			~Safe();

			void update(float time_delta);
			int draw(Shader* shader, glm::mat4 projview);

		private:
			int id;
			

		};


	}
}