#pragma once

#include "GameObj.hpp"
#include "../Scene/ParticleSpawner.h"
#include "../Util/Shaderholder.h"

#include <btBulletDynamicsCommon.h>

namespace CGUE17_SneakySteve {
	namespace scene {
		class Warden :public GameObj
		{
		public:
			Warden() {};
			Warden(std::string path, sneakystv::Shader* _shader, glm::vec3 physicsCorr, float xRot, float yRot, float zRot, btRigidBody* rigidBody, std::vector<glm::vec2> Waypoints, Camera* camera);
			~Warden();

			void update(float time_delta);
			int draw(Shader* shader, glm::mat4 projview);
			int getId();

		private:
			vector<glm::vec2> waypts;
			int currWayptsIdx;
			int id;
			ParticleSpawner* particle;

		};


	}
}
