#include "spotlight.hpp"

spotlight::spotlight()
{
	vColor = glm::vec3(1.0f, 1.0f, 1.0f);
	vPosition = glm::vec3(0.0f, 0.0f, 0.0f);
	vDirection = glm::vec3(0.0f, 0.0f, -1.0f);

	bOn = 1;
	fConeAngle = 20.0f;
	fLinearAtt = 0.02f;
}

spotlight::spotlight(glm::vec3 a_vColor, glm::vec3 a_vPosition, glm::vec3 a_vDirection, int a_bOn, float a_fConeAngle, float a_fLinearAtt)
{
	vColor = a_vColor;
	vPosition = a_vPosition;
	vDirection = a_vDirection;

	bOn = a_bOn;
	fConeAngle = a_fConeAngle;
	fLinearAtt = a_fLinearAtt;
}



void spotlight::SetUniformData(Shader* shader, std::string sLightVarName)
{
	/*shader->SetUniform(sLightVarName + ".vColor", vColor);
	shader->SetUniform(sLightVarName + ".vPosition", vPosition);
	shader->SetUniform(sLightVarName + ".vDirection", vDirection);

	shader->SetUniform(sLightVarName + ".bOn", bOn);
	shader->SetUniform(sLightVarName + ".fConeAngle", fConeAngle);
	shader->SetUniform(sLightVarName + ".fConeCosine", float(cos(fConeAngle*3.1415f / 180.0f)));
	shader->SetUniform(sLightVarName + ".fLinearAtt", fLinearAtt);*/
}

