#pragma once

#include "glm\common.hpp"
#include "../Recources/Shader.hpp"

using namespace sneakystv;
using namespace std;

class spotlight
{
public:
	glm::vec3 vColor;
	glm::vec3 vPosition;
	glm::vec3 vDirection;

	int bOn;
	float fConeAngle;
	float fLinearAtt;

	void SetUniformData(Shader* shader, std::string sLightVarName);

	spotlight();
	spotlight(glm::vec3 a_vColor, glm::vec3 a_vPosition, glm::vec3 a_vDirection, int a_bOn, float a_fConeAngle, float a_fLinearAtt);
private:
	float fConeCosine;
};