#include "FrustumCulling.hpp"



FrustumCulling::FrustumCulling()
{
}



Plane* FrustumCulling::planes[6];

FrustumCulling::~FrustumCulling()
{
}

void FrustumCulling::init()
{
	for (int i = 0; i < 6; i++)
	{
		planes[i] = new Plane();
	}
}

void FrustumCulling::computePlanes(float * m)
{
	planes[NEARP]->setParameters(
		m[3] + m[2],
		m[7] + m[6],
		m[11] + m[10],
		m[15] + m[14]);

	planes[FARP]->setParameters(
		m[3] - m[2],
		m[7] - m[6],
		m[11] - m[10],
		m[15] - m[14]);

	planes[BOTTOMP]->setParameters(
		m[3] + m[1],
		m[7] + m[5],
		m[11] + m[9],
		m[15] + m[13]);

	planes[TOPP]->setParameters(
		m[3] - m[1],
		m[7] - m[5],
		m[11] - m[9],
		m[15] - m[13]);

	planes[LEFTP]->setParameters(
		m[3] + m[0],
		m[7] + m[4],
		m[11] + m[8],
		m[15] + m[12]);

	planes[RIGHTP]->setParameters(
		m[3] - m[0],
		m[7] - m[4],
		m[11] - m[8],
		m[15] - m[12]);
}
