#pragma once

#include "glm\common.hpp"
#include "Plane.hpp"

class FrustumCulling
{
public:
	~FrustumCulling();
	static void init();
	static Plane* planes[6];
	

	static void computePlanes(float* m);
private:
	FrustumCulling();
	enum
	{
		TOPP = 0,
		BOTTOMP = 1,
		LEFTP = 2,
		RIGHTP = 3,
		NEARP = 4,
		FARP = 5
	};
};


