#pragma once

#include <string>
#include <vector>
#include <iostream>
#include <memory>
#include <sstream>
#include <stdlib.h>
#include <stdio.h>
#include <btBulletDynamicsCommon.h>

#include "../Recources/Shader.hpp"
#include "../GameObjects/GameObj.hpp"
#include "../GameObjects/Player.hpp"
#include "../GameObjects/Warden.h"
#include "../GameObjects/Laser.h"

namespace sneakystv
{
	class LvlLoader
	{
	public:
		static bool loadLvl(int lvl , std::vector<Shader*>* shaders, std::vector<std::vector<std::unique_ptr <CGUE17_SneakySteve::scene::GameObj>> >* worldobjs, std::vector<CGUE17_SneakySteve::scene::GameObj*>* enemys, btDiscreteDynamicsWorld* dynamicsWorld, Camera* camera);


	private:
		LvlLoader() {};
		
	};
}