#include "Shaderholder.h"

void CGUE17_SneakySteve::scene::Shaderholder::init()
{
	shaderMap = std::map <shadertype, std::unique_ptr<Shader>>();
}

void CGUE17_SneakySteve::scene::Shaderholder::addShader(shadertype key, std::unique_ptr<Shader> shader)
{
	shaderMap.insert(std::make_pair(key, std::move(shader)));
}

Shader* CGUE17_SneakySteve::scene::Shaderholder::getShader(shadertype key)
{
	return shaderMap.find(key) ->second.get();
}
