#pragma once

#include <vector>
#include <iostream>
#include <memory>
#include <sstream>
#include <stdlib.h>
#include <stdio.h>
#include <vector>
#include <map>

#include"../Recources/Shader.hpp"

enum shadertype
{
	SHADER_WORLD,
	SHADER_TEX,
	SHADER_ENEMY,
	SHADER_BULLETDB,
	SHADER_SHADOW,
	SHADER_PARTICLE,
	SHADER_SPOTLIGHT,
	SHADER_GAUS,
	SHADER_BLOOM
};

using namespace std;
using namespace sneakystv;

namespace CGUE17_SneakySteve
{
	namespace scene
	{
		class Shaderholder
		{

		public:
			static void init();
			static void addShader(shadertype type, std::unique_ptr<Shader> shader);
			static Shader* getShader(shadertype);
		private:


		};
		static std::map <shadertype, std::unique_ptr<Shader>> shaderMap;
	}
}
